BWSTAT(1)

NAME
bwstat - list statistics related to a black and white bw image.

SYNOPSIS
bwstat [-v] [file.bw]

DESCRIPTION
Bwstat will take the given bw(5) format file, or read from standard in. A collection of statistics related to the pixel intensities is produced.
These include:
The number of pixels (and the square root of this which is the file dimensions if square).
The max and min values.
The mean.
The median (dividing line where half the pixels are above this value, half below).
The mode (most frequently occuring value) and the number of pixels at this value.
The variance, standard deviation, and skew.

The -v flag will also dump a histogram of the pixel values.

METHOD
Since the pixel values are quantized (have discrete values from 0 to 255), the statistics can be computed from "lump sums" after building a histogram of the input. This results in a fantastic savings in computation while also making a single pass over the input file sufficient.

SEE ALSO
brlcad(1), bwhist(1), pixstat(1), bw(5)

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.